---
layout: docs
page_title: workers set-worker-tags - Command
description: >-
  The "workers set-worker-tags" command sets API tags for worker resources.
---

# workers set-worker-tags

Command: `boundary workers set-worker-tags`

The `boundary workers set-worker-tags` command lets you set API tags for worker resources.

## Example

This example sets the API tags `key1=val-a` and `key2=val-b,val-c` for a worker with the ID `w_1234567890`:

```shell-session
$ boundary workers set-worker-tags -id w_1234567890 -tag "key1=val-a" -tag "key2=val-b,val-c"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary workers set-worker-tags [sub command] [args]
```

</CodeBlockConfig>


### Command options

- `-id=<string>` - The ID of the worker you want to set tags for.
- `tag=<key=val-a, key2=val-b,val-c>` - The API tag resources you want to set on the worker.
- `version=<int>` - The version of the worker to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'